=== debian/changelog ===
ros-noetic-fetch-bringup (0.9.3-1buster) buster; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Sun, 25 Apr 2021 07:00:00 -0000

ros-noetic-fetch-bringup (0.9.2-1buster) buster; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Fri, 12 Mar 2021 08:00:00 -0000

ros-noetic-fetch-bringup (0.9.1-1buster) buster; urgency=high

  * Changes for Noetic/Py3 (#61 <https://github.com/fetchrobotics/fetch_robots/issues/61>)
    
      * Remove some ps3 controller references (no longer supported)
      * Update state_publisher -> robot_state_publisher
      * Changes for compatibility with new drivers:
        Drivers primarily load some params from a json file which
        end-users shouldn't need to modify. This file will live in
        /opt/ros/noetic or the catkin workspace for 99% of usecases.
      * Add explicit setting for fetch teleop param.
      * Point to a new drivers binary release (0.9.0)
      * Respawn tuck_arm node on shutdown [OPEN-48]
    
  * Add soundplay ROS node as systemd service (#53 <https://github.com/fetchrobotics/fetch_robots/issues/53>)
    Functionality existed in 14.04/indigo, and was initially left out.
  * Contributors: Eric Relson

 -- Eric Relson <erelson@fetchrobotics.com>  Fri, 05 Mar 2021 08:00:00 -0000

ros-noetic-fetch-bringup (0.8.8-1buster) buster; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Wed, 21 Aug 2019 07:00:00 -0000

ros-noetic-fetch-bringup (0.8.7-1buster) buster; urgency=high

  * Move ds4drv dep from package.xml to sys-config deb (#48 <https://github.com/fetchrobotics/fetch_robots/issues/48>)
    ROS buildfarm doesn't support pip dependencies.
    Also removed outdated sixad line. We don't install sixad at all in 18.04.
  * Update launch files to support PS4 teleop w/ds4drv
    - Teleop: Change default /joy/dev param to /dev/fetch_joy to match
    udev rules
    - Add ps4 flag/arg to default fetch.launch and freight.launch
    - As workaround to a weird bug, renamed 'joy' node to 'joy_node'
  * remove respawn in fetch_bringup/launch/include/teleop.launch.xml (#44 <https://github.com/fetchrobotics/fetch_robots/issues/44>)
    We want to enable launching the teleop node and it's components separately, without duplicate nodes continually respawning.
  * Merge pull request #37 <https://github.com/fetchrobotics/fetch_robots/issues/37> from 708yamaguchi/melodic-devel
    Add params for selecting teleop part for melodic
  * add joystick deadzone parameter (#42 <https://github.com/fetchrobotics/fetch_robots/issues/42>)
  * Add argument to select launching teleop (#40 <https://github.com/fetchrobotics/fetch_robots/issues/40>)
    - add argument to select launching teleop for Fetch
    - add argument to select launching teleop for freight
  * add params for selecting teleop part
  * Contributors: Andrew Parker, Carl Saldanha, Eric Relson, Naoya Yamaguchi, Shingo Kitagawa

 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 06 Aug 2019 07:00:00 -0000

ros-noetic-fetch-bringup (0.8.6-1buster) buster; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Thu, 28 Feb 2019 08:00:00 -0000

ros-noetic-fetch-bringup (0.8.5-1buster) buster; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 26 Feb 2019 08:00:00 -0000

ros-noetic-fetch-bringup (0.8.4-1buster) buster; urgency=high

  * Add additional convenience packages as deps (#33 <https://github.com/fetchrobotics/fetch_robots/issues/33>)
    * Add additional convenience packages as deps
    * system config deb pulls in rest of debs
    * Fix netplan configuration approach
  * Contributors: Eric Relson

 -- Eric Relson <erelson@fetchrobotics.com>  Thu, 21 Feb 2019 08:00:00 -0000

ros-noetic-fetch-bringup (0.8.3-1buster) buster; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Fri, 15 Feb 2019 08:00:00 -0000

ros-noetic-fetch-bringup (0.8.2-1buster) buster; urgency=high

  * Merge pull request #30 <https://github.com/fetchrobotics/fetch_robots/issues/30> from moriarty/rebased-pr-26
    [bringup] package format v2 (originally #26 <https://github.com/fetchrobotics/fetch_robots/issues/26>)
  * Add ps3joy exec dep; update to package.xml 2.0
    Also removed robot_controllers_msgs for fetch_bringup. This dependency
    is part of fetch_drivers package already.
  * Contributors: Alex Moriarty, Eric Relson

 -- Eric Relson <erelson@fetchrobotics.com>  Fri, 15 Feb 2019 08:00:00 -0000

ros-noetic-fetch-bringup (0.8.1-1buster) buster; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Fri, 15 Feb 2019 08:00:00 -0000

ros-noetic-fetch-bringup (0.8.0-1buster) buster; urgency=high

  * Add autodocking to default robot launch (#28 <https://github.com/fetchrobotics/fetch_robots/issues/28>)
    Also update package.xml
  * sixad depend not needed anymore on bionic (#24 <https://github.com/fetchrobotics/fetch_robots/issues/24>)
    * sixad depend not needed anymore on bionic
    * remove sixad from fetch_bringup
  * [ros param] adds robot/name robot/type (#22 <https://github.com/fetchrobotics/fetch_robots/issues/22>)
    add robot specific information on rosparam, see https://github.com/ros-infrastructure/rep/pull/104
    Related to: ros-infrastructure/rep#104 <https://github.com/ros-infrastructure/rep/issues/104>
  * Contributors: Eric Relson, Kei Okada, Steffen Fuchs

 -- Eric Relson <erelson@fetchrobotics.com>  Wed, 13 Feb 2019 08:00:00 -0000

ros-noetic-fetch-bringup (0.7.5-1buster) buster; urgency=high

  * Add diagnostics aggregator launch and config
  * add cartesian twist controller to arm defaults
  * Contributors: Eric Relson, Hanjun Song, Michael Ferguson

 -- Eric Relson <erelson@fetchrobotics.com>  Mon, 12 Jun 2017 07:00:00 -0000

ros-noetic-fetch-bringup (0.7.4-1buster) buster; urgency=high

  * Updates for research robots
  * Contributors: Michael Ferguson

 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 28 Mar 2017 07:00:00 -0000

ros-noetic-fetch-bringup (0.7.3-1buster) buster; urgency=high


